%global srcname aaargh
%global desc \
Aaargh is a Python module that makes building friendly command line\
applications really easy. Applications built with Aaargh provide\
a single executable with a subcommand for each exposed Python function.\
Each subcommand may have its own command line arguments.\
This is similar to the way version control systems provide multiple commands\
using a single entry point.

Name:           python-%{srcname}
Version:        0.7.1
Release:        4%{?dist}
Summary:        An astonishingly awesome application argument helper

License:        BSD
URL:            http://pypi.python.org/pypi/%{srcname}
Source0:        https://github.com/wbolster/%{srcname}/archive/%{version}.tar.gz#/%{srcname}-%{version}.tar.gz

BuildArch:      noarch


%description %{desc}

%package -n python2-%{srcname}
Summary:        %{summary}
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-pytest
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname} %{desc}
Python 2 version.


%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname} %{desc}
Python 3 version.


%prep
%autosetup -n %{srcname}-%{version}


%build
%py2_build
%py3_build


%install
%py2_install
%py3_install

%check
py.test-2 -v
py.test-3 -v


%files -n python2-%{srcname}
%doc README.rst
%license LICENSE.rst
%{python2_sitelib}/%{srcname}/
%{python2_sitelib}/%{srcname}-%{version}-py%{python2_version}.egg-info/


%files -n python3-%{srcname}
%doc README.rst
%license LICENSE.rst
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info/


%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.7.1-2
- Rebuild for Python 3.6

* Tue Aug 09 2016 Dominika Krejci <dkrejci@redhat.com> - 0.7.1-1
- Initial release

